<?xml version="1.0" encoding="UTF-8"?>
<!-- Версия от 2025.06.23 12:00. XSL приводит документ generalDataMir к однозначному виду, пригодному для подписания и проверке подписи -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gdp="http://ebp-rskp/xsd/RSKP_MIR">
	<xsl:output method="xml" indent="no" encoding="UTF-8"/>
	<xsl:template match="*">
		<xsl:choose>
			<xsl:when test="parent::gdp:generalDataMir" />
			<xsl:otherwise>
				<xsl:element name="{local-name()}">
					<xsl:copy-of select="@versionID"/>
					<xsl:apply-templates/>
				</xsl:element>				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:value-of disable-output-escaping="yes" select="normalize-space(.)" />
	</xsl:template>
</xsl:stylesheet>	